[phpBB] Lintian warnings, ${misc:Depends} or not ?

David Prévot david at tilapin.org
Thu Mar 18 00:19:39 CET 2010


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Le 17/03/2010 18:10, J.M.Roth a écrit :
> Hi there,

Hi,

> I see there is http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=498666.
> So if I understand correctly the warning is gone in your version because
> it is probably set to empty. Can you check?

Sorry but I have no clue how to check it: I can't see any config file
for debhelper (unless you are talking about the package itself, so no,
phpbb3-l10n doesn't depend of anything else but phpbb3, once build).

>> Note that I work with an up to date Sid, if that matters.
> 
> I guess that (again) seems to be the culprit.
> What release *should* one use to do the development work anyhow?

I guess, until you are working on a backport or a security fix, Sid
should be used (in order to have the same tools that are used on the
buildds).

>> About Lintian warnings, does database_update_debian.php really needs to
>> start with "#!" ? 
[...]
> Well we could add the exception to Lintian or make it executable. I'll
> flip a coin ;-)

I think that Lintian exception needs to be exceptional (if not, it's
useless ;). If dbcommon-config calls it, it needs to be executable
anyway, doesn't it ?

Cheers

David

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkuhY4oACgkQ18/WetbTC/rnxgCfdJzGGG478MrIKYIAor3E0guk
Y1oAn2vDO4ezsemLwplSIYQZytXDsmYs
=Bifz
-----END PGP SIGNATURE-----




More information about the phpBB-l mailing list